/*******************************************************************************
 * Size: 20 px
 * Bpp: 1
 * Opts: --bpp 1 --size 20 --no-compress --font JetBrainsMonoNL-SemiBold.ttf --symbols АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯабвгдеёжзийклмнопрстуфхцчшщъыьэюя --range 32-127 --format lvgl -o JetBrainsMonoNL_SemiBold_20.c
 ******************************************************************************/
#include "lvgl.h"

/*-----------------
 *    BITMAPS
 *----------------*/

/*Store the image of the glyphs*/
static LV_ATTRIBUTE_LARGE_CONST const uint8_t glyph_bitmap[] = {
    /* U+0020 " " */
    0x0,

    /* U+0021 "!" */
    0x6d, 0xb6, 0xdb, 0x6c, 0xf, 0xc0,

    /* U+0022 "\"" */
    0xc7, 0x8f, 0x1e, 0x3c, 0x78, 0xc0,

    /* U+0023 "#" */
    0x8, 0xc3, 0x10, 0x62, 0x3f, 0xf7, 0xfe, 0x23,
    0xc, 0x61, 0x88, 0xff, 0xdf, 0xf8, 0x8c, 0x11,
    0x86, 0x30, 0xc4, 0x0,

    /* U+0024 "$" */
    0x8, 0x4, 0x2, 0xf, 0xe7, 0xf6, 0x4f, 0x27,
    0x90, 0xf8, 0x3f, 0x7, 0xc1, 0x70, 0x9e, 0x4f,
    0x27, 0xfe, 0x7f, 0x4, 0x2, 0x1, 0x0,

    /* U+0025 "%" */
    0x78, 0x3f, 0xc6, 0xcc, 0xcc, 0xcc, 0xfd, 0x87,
    0xb0, 0x6, 0x0, 0x7e, 0xf, 0xf1, 0xb3, 0x33,
    0x33, 0x33, 0x63, 0xfc, 0x1e,

    /* U+0026 "&" */
    0x1e, 0x3, 0xf0, 0x31, 0x83, 0x18, 0x30, 0x1,
    0x80, 0x7c, 0xf, 0x66, 0xc7, 0xec, 0x3c, 0xc1,
    0x8e, 0x7c, 0x7e, 0x63, 0xc7,

    /* U+0027 "'" */
    0xff, 0xf0,

    /* U+0028 "(" */
    0x0, 0x73, 0xdc, 0x63, 0x8c, 0x30, 0xc3, 0xc,
    0x30, 0xc3, 0xe, 0x18, 0x70, 0xf0, 0xc0,

    /* U+0029 ")" */
    0x3, 0x8f, 0xe, 0x18, 0x70, 0xc3, 0xc, 0x30,
    0xc3, 0xc, 0x31, 0xc6, 0x3b, 0xcc, 0x0,

    /* U+002A "*" */
    0xc, 0x3, 0x0, 0xc3, 0xb7, 0xff, 0xc7, 0x81,
    0xe0, 0xcc, 0x73, 0x88, 0x40,

    /* U+002B "+" */
    0xc, 0x3, 0x0, 0xc3, 0xff, 0xff, 0xc3, 0x0,
    0xc0, 0x30, 0xc, 0x0,

    /* U+002C "," */
    0x66, 0x6e, 0xec,

    /* U+002D "-" */
    0xff, 0xf0,

    /* U+002E "." */
    0xff, 0xf0,

    /* U+002F "/" */
    0x1, 0xc0, 0x60, 0x18, 0xe, 0x3, 0x1, 0xc0,
    0x60, 0x18, 0xe, 0x3, 0x0, 0xc0, 0x60, 0x18,
    0xe, 0x3, 0x0, 0xc0, 0x70, 0x18, 0x6, 0x0,

    /* U+0030 "0" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x37,
    0x9b, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0031 "1" */
    0x1c, 0x3e, 0x3b, 0x19, 0x80, 0xc0, 0x60, 0x30,
    0x18, 0xc, 0x6, 0x3, 0x1, 0x8f, 0xff, 0xfc,

    /* U+0032 "2" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x30, 0x18, 0xc, 0xc,
    0xc, 0xc, 0xc, 0xc, 0xc, 0xf, 0xff, 0xfc,

    /* U+0033 "3" */
    0x7f, 0xbf, 0xc0, 0xc0, 0xc1, 0xc0, 0xf0, 0x7c,
    0x7, 0x1, 0x80, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0034 "4" */
    0x7, 0x3, 0x3, 0x3, 0x83, 0x81, 0x81, 0x87,
    0xc3, 0xc1, 0xff, 0xff, 0xe0, 0x30, 0x18, 0xc,

    /* U+0035 "5" */
    0x7f, 0xbf, 0xd8, 0xc, 0x6, 0x3, 0xf1, 0xfc,
    0x7, 0x1, 0x80, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0036 "6" */
    0xe, 0x3, 0x1, 0xc0, 0x60, 0x30, 0x1f, 0xc7,
    0xfb, 0x87, 0xc0, 0xf0, 0x3c, 0xf, 0x87, 0x7f,
    0x8f, 0x80,

    /* U+0037 "7" */
    0xff, 0xff, 0xfc, 0x1b, 0xe, 0x3, 0x0, 0xc0,
    0x70, 0x18, 0xe, 0x3, 0x1, 0xc0, 0x60, 0x38,
    0xc, 0x0,

    /* U+0038 "8" */
    0x3e, 0x1f, 0xce, 0x3b, 0x6, 0xe3, 0x9f, 0xc7,
    0xf3, 0x86, 0xc0, 0xf0, 0x3c, 0xf, 0x87, 0x7f,
    0x87, 0xc0,

    /* U+0039 "9" */
    0x1e, 0x1f, 0xee, 0x1f, 0x3, 0xc0, 0xf0, 0x3e,
    0x1d, 0xfe, 0x3f, 0x80, 0xc0, 0x60, 0x38, 0x1c,
    0x7, 0x0,

    /* U+003A ":" */
    0xff, 0xf0, 0x0, 0x0, 0xff, 0xf0,

    /* U+003B ";" */
    0xff, 0xf0, 0x0, 0x0, 0x7, 0x6e, 0xec, 0xc0,

    /* U+003C "<" */
    0x0, 0x81, 0xc3, 0xc7, 0x8f, 0x6, 0x3, 0xc0,
    0x78, 0xf, 0x1, 0xc0, 0x20,

    /* U+003D "=" */
    0xff, 0xff, 0xc0, 0x0, 0x0, 0x7, 0xff, 0xfe,

    /* U+003E ">" */
    0x80, 0x70, 0x3e, 0x3, 0xc0, 0x78, 0xc, 0x1e,
    0x3c, 0x78, 0x70, 0x20, 0x0,

    /* U+003F "?" */
    0xf9, 0xf8, 0x38, 0x30, 0x61, 0xcf, 0x1e, 0x30,
    0x60, 0x0, 0x7, 0xe, 0x0,

    /* U+0040 "@" */
    0x1f, 0x7, 0xf9, 0xc3, 0x70, 0x3c, 0x7, 0x8e,
    0xf3, 0xfe, 0x63, 0xcc, 0x79, 0x8f, 0x31, 0xe6,
    0x3c, 0xfd, 0x8f, 0xb8, 0x3, 0x80, 0x3f, 0x3,
    0xe0,

    /* U+0041 "A" */
    0x1e, 0x7, 0x81, 0xe0, 0x78, 0x33, 0xc, 0xc3,
    0x30, 0x84, 0x7f, 0x9f, 0xe6, 0x19, 0x86, 0xc0,
    0xf0, 0x30,

    /* U+0042 "B" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0x1f, 0xf9,
    0xfe, 0xc3, 0xe0, 0xf0, 0x78, 0x7f, 0xf7, 0xf0,

    /* U+0043 "C" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x6, 0x3, 0x1,
    0x80, 0xc0, 0x60, 0x30, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0044 "D" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x78, 0x7f, 0xf7, 0xf0,

    /* U+0045 "E" */
    0xff, 0xff, 0xf0, 0x18, 0xc, 0x6, 0x3, 0xfd,
    0xfe, 0xc0, 0x60, 0x30, 0x18, 0xf, 0xff, 0xfc,

    /* U+0046 "F" */
    0xff, 0xff, 0xf0, 0x18, 0xc, 0x6, 0x3, 0xff,
    0xff, 0xc0, 0x60, 0x30, 0x18, 0xc, 0x6, 0x0,

    /* U+0047 "G" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x6, 0x3, 0x3f,
    0x9f, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0048 "H" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0xff,
    0xff, 0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xc,

    /* U+0049 "I" */
    0xff, 0xff, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18,
    0x18, 0x18, 0x18, 0x18, 0xff, 0xff,

    /* U+004A "J" */
    0x1, 0x80, 0xc0, 0x60, 0x30, 0x18, 0xc, 0x6,
    0x3, 0x1, 0x80, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+004B "K" */
    0xc1, 0xe1, 0xf0, 0xd8, 0xec, 0x66, 0x73, 0xf1,
    0xf8, 0xce, 0x63, 0x31, 0xd8, 0x6c, 0x3e, 0xc,

    /* U+004C "L" */
    0xc0, 0x60, 0x30, 0x18, 0xc, 0x6, 0x3, 0x1,
    0x80, 0xc0, 0x60, 0x30, 0x18, 0xf, 0xff, 0xfc,

    /* U+004D "M" */
    0xe3, 0xf1, 0xfd, 0xfe, 0xbd, 0x5e, 0xaf, 0x77,
    0x93, 0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xc,

    /* U+004E "N" */
    0xe1, 0xf0, 0xfc, 0x7e, 0x3d, 0x9e, 0xcf, 0x67,
    0x9b, 0xcd, 0xe2, 0xf1, 0xf8, 0xfc, 0x3e, 0x1c,

    /* U+004F "O" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0050 "P" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0x1f, 0xfd,
    0xfc, 0xc0, 0x60, 0x30, 0x18, 0xc, 0x6, 0x0,

    /* U+0051 "Q" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,
    0x18, 0x6, 0x3, 0x0, 0xc0,

    /* U+0052 "R" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0x1f, 0xfd,
    0xfc, 0xce, 0x63, 0x31, 0xd8, 0x6c, 0x3e, 0xc,

    /* U+0053 "S" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x7, 0x1, 0xf8,
    0x1e, 0x3, 0x80, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0054 "T" */
    0xff, 0xff, 0xf0, 0xc0, 0x30, 0xc, 0x3, 0x0,
    0xc0, 0x30, 0xc, 0x3, 0x0, 0xc0, 0x30, 0xc,
    0x3, 0x0,

    /* U+0055 "U" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0056 "V" */
    0xc0, 0xf0, 0x36, 0x19, 0x86, 0x61, 0x98, 0x63,
    0x30, 0xcc, 0x33, 0xc, 0xc1, 0xe0, 0x78, 0x1e,
    0x7, 0x80,

    /* U+0057 "W" */
    0xc6, 0x39, 0xcf, 0x39, 0xe5, 0x34, 0xa6, 0x94,
    0xda, 0xdb, 0x5b, 0x7b, 0x4f, 0x29, 0xe5, 0x38,
    0xe7, 0x1c, 0x63, 0x80,

    /* U+0058 "X" */
    0xe1, 0xd8, 0x67, 0x38, 0xcc, 0x3f, 0x7, 0x80,
    0xc0, 0x78, 0x1e, 0xf, 0xc3, 0x31, 0x86, 0x61,
    0xb0, 0x30,

    /* U+0059 "Y" */
    0xc0, 0xf8, 0x76, 0x19, 0xce, 0x33, 0xe, 0xc1,
    0xe0, 0x78, 0xc, 0x3, 0x0, 0xc0, 0x30, 0xc,
    0x3, 0x0,

    /* U+005A "Z" */
    0xff, 0xff, 0xc0, 0xe0, 0x60, 0x60, 0x70, 0x30,
    0x30, 0x38, 0x18, 0x18, 0x1c, 0xf, 0xff, 0xfc,

    /* U+005B "[" */
    0xff, 0xfc, 0x30, 0xc3, 0xc, 0x30, 0xc3, 0xc,
    0x30, 0xc3, 0xc, 0x30, 0xff, 0xf0,

    /* U+005C "\\" */
    0xe0, 0x18, 0x6, 0x1, 0xc0, 0x30, 0xe, 0x1,
    0x80, 0x60, 0x1c, 0x3, 0x0, 0xc0, 0x18, 0x6,
    0x1, 0xc0, 0x30, 0xc, 0x3, 0x80, 0x60, 0x18,

    /* U+005D "]" */
    0xff, 0xc6, 0x31, 0x8c, 0x63, 0x18, 0xc6, 0x31,
    0x8c, 0x63, 0xff, 0xc0,

    /* U+005E "^" */
    0xc, 0x3, 0x81, 0xe0, 0x48, 0x33, 0xc, 0xc6,
    0x19, 0x86,

    /* U+005F "_" */
    0xff, 0xff, 0xf0,

    /* U+0060 "`" */
    0xe3, 0x8c,

    /* U+0061 "a" */
    0x3e, 0x3f, 0x98, 0x60, 0x33, 0xfb, 0xff, 0x7,
    0x83, 0xe3, 0xbf, 0xcf, 0x60,

    /* U+0062 "b" */
    0xc0, 0x60, 0x30, 0x1b, 0xcf, 0xf7, 0x1f, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x7f, 0xf6, 0xf0,

    /* U+0063 "c" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x6, 0x3, 0x1,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0064 "d" */
    0x1, 0x80, 0xc0, 0x67, 0xb7, 0xff, 0x1f, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf9, 0xec,

    /* U+0065 "e" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3f, 0xff, 0xff, 0x1,
    0x80, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0066 "f" */
    0xf, 0xc7, 0xf1, 0x80, 0x60, 0x18, 0x3f, 0xff,
    0xfc, 0x60, 0x18, 0x6, 0x1, 0x80, 0x60, 0x18,
    0x6, 0x0,

    /* U+0067 "g" */
    0x3d, 0xbf, 0xf8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xbf, 0xcf, 0x60, 0x30, 0x3b, 0xf9,
    0xf8,

    /* U+0068 "h" */
    0xc0, 0x60, 0x30, 0x1b, 0xcf, 0xf7, 0x1f, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xc,

    /* U+0069 "i" */
    0x1c, 0x7, 0x0, 0x0, 0x0, 0xfc, 0x3f, 0x0,
    0xc0, 0x30, 0xc, 0x3, 0x0, 0xc0, 0x30, 0xc,
    0x3f, 0xff, 0xfc,

    /* U+006A "j" */
    0x7, 0x7, 0x0, 0x0, 0xff, 0xff, 0x3, 0x3,
    0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3, 0x3,
    0x7, 0xfe, 0xfc,

    /* U+006B "k" */
    0xc0, 0x60, 0x30, 0x18, 0x7c, 0x36, 0x3b, 0x39,
    0xf8, 0xfc, 0x67, 0x31, 0x98, 0xec, 0x36, 0xc,

    /* U+006C "l" */
    0xfc, 0x1f, 0x80, 0x30, 0x6, 0x0, 0xc0, 0x18,
    0x3, 0x0, 0x60, 0xc, 0x1, 0x80, 0x30, 0x6,
    0x0, 0xfe, 0xf, 0xc0,

    /* U+006D "m" */
    0xdb, 0xbf, 0xfc, 0xcf, 0x33, 0xcc, 0xf3, 0x3c,
    0xcf, 0x33, 0xcc, 0xf3, 0x3c, 0xcc,

    /* U+006E "n" */
    0xde, 0x7f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x60,

    /* U+006F "o" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0070 "p" */
    0xde, 0x7f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xff, 0xb7, 0x98, 0xc, 0x6, 0x3,
    0x0,

    /* U+0071 "q" */
    0x3d, 0xbf, 0xf8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xbf, 0xcf, 0x60, 0x30, 0x18, 0xc,
    0x6,

    /* U+0072 "r" */
    0xde, 0x7f, 0xb8, 0xf8, 0x3c, 0x1e, 0x3, 0x1,
    0x80, 0xc0, 0x60, 0x30, 0x0,

    /* U+0073 "s" */
    0x3e, 0x7f, 0xf0, 0xf8, 0xf, 0x3, 0xf8, 0xe,
    0x3, 0xc1, 0xff, 0xcf, 0x80,

    /* U+0074 "t" */
    0x18, 0x6, 0x1, 0x83, 0xff, 0xff, 0xc6, 0x1,
    0x80, 0x60, 0x18, 0x6, 0x1, 0x80, 0x60, 0x1f,
    0xc3, 0xf0,

    /* U+0075 "u" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0076 "v" */
    0xc0, 0xf8, 0x76, 0x19, 0x86, 0x73, 0x8c, 0xc3,
    0x30, 0xfc, 0x1e, 0x7, 0x81, 0xe0,

    /* U+0077 "w" */
    0xce, 0x79, 0xcf, 0x29, 0xa5, 0x34, 0xa4, 0xd5,
    0x9e, 0xf3, 0xde, 0x71, 0xce, 0x38, 0xc6, 0x0,

    /* U+0078 "x" */
    0xe1, 0xdc, 0xe3, 0x30, 0xfc, 0x1e, 0x3, 0x1,
    0xe0, 0xfc, 0x33, 0x18, 0x6e, 0x1c,

    /* U+0079 "y" */
    0xc0, 0xf8, 0x76, 0x19, 0x86, 0x33, 0xc, 0xc3,
    0xb0, 0x78, 0x1e, 0x3, 0x80, 0xc0, 0x30, 0x1c,
    0x6, 0x1, 0x80,

    /* U+007A "z" */
    0xff, 0xff, 0x7, 0xe, 0xc, 0x18, 0x30, 0x70,
    0xe0, 0xff, 0xff,

    /* U+007B "{" */
    0x7, 0x87, 0xc3, 0x1, 0x80, 0xc0, 0x60, 0x30,
    0x18, 0xf8, 0x7c, 0x3, 0x1, 0x80, 0xc0, 0x60,
    0x30, 0x18, 0xf, 0x83, 0xc0,

    /* U+007C "|" */
    0xff, 0xff, 0xff, 0xff, 0xf0,

    /* U+007D "}" */
    0xe0, 0x78, 0xe, 0x3, 0x3, 0x81, 0x80, 0xc0,
    0x60, 0x1f, 0x8f, 0xcc, 0x6, 0x3, 0x1, 0xc0,
    0x60, 0x70, 0xf0, 0x70, 0x0,

    /* U+007E "~" */
    0x78, 0xff, 0x3c, 0xff, 0x1e,

    /* U+0401 "Ё" */
    0x73, 0x39, 0x80, 0x0, 0xf, 0xff, 0xff, 0x1,
    0x80, 0xc0, 0x60, 0x3f, 0xdf, 0xec, 0x6, 0x3,
    0x1, 0x80, 0xff, 0xff, 0xc0,

    /* U+0410 "А" */
    0x1e, 0x7, 0x81, 0xe0, 0x78, 0x33, 0xc, 0xc3,
    0x30, 0x84, 0x7f, 0x9f, 0xe6, 0x19, 0x86, 0xc0,
    0xf0, 0x30,

    /* U+0411 "Б" */
    0xff, 0x7f, 0xb0, 0x18, 0xc, 0x7, 0xf3, 0xfd,
    0x87, 0xc1, 0xe0, 0xf0, 0x78, 0x7f, 0xf7, 0xf0,

    /* U+0412 "В" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0x1f, 0xf9,
    0xfe, 0xc3, 0xe0, 0xf0, 0x78, 0x7f, 0xf7, 0xf0,

    /* U+0413 "Г" */
    0xff, 0xff, 0xf0, 0x18, 0xc, 0x6, 0x3, 0x1,
    0x80, 0xc0, 0x60, 0x30, 0x18, 0xc, 0x6, 0x0,

    /* U+0414 "Д" */
    0x3f, 0xc7, 0xf8, 0xc3, 0x18, 0x63, 0xc, 0x61,
    0x8c, 0x31, 0x86, 0x30, 0xc6, 0x18, 0xc3, 0x30,
    0x6f, 0xff, 0xff, 0xf0, 0x1e, 0x3,

    /* U+0415 "Е" */
    0xff, 0xff, 0xf0, 0x18, 0xc, 0x6, 0x3, 0xfd,
    0xfe, 0xc0, 0x60, 0x30, 0x18, 0xf, 0xff, 0xfc,

    /* U+0416 "Ж" */
    0xc6, 0x36, 0x66, 0x66, 0x66, 0x66, 0x36, 0xc3,
    0x6c, 0x3f, 0xc3, 0xfc, 0x36, 0xc7, 0x6c, 0x66,
    0x66, 0x66, 0xc6, 0x3c, 0x63,

    /* U+0417 "З" */
    0x3e, 0x1f, 0xce, 0x3b, 0x6, 0x3, 0x87, 0xc1,
    0xf0, 0x6, 0x0, 0xc0, 0x3c, 0xf, 0x87, 0x7f,
    0x87, 0x80,

    /* U+0418 "И" */
    0xc3, 0xe1, 0xf1, 0xf8, 0xfc, 0x5e, 0x6f, 0x37,
    0xb3, 0xd9, 0xec, 0xfc, 0x7e, 0x3e, 0x1f, 0xc,

    /* U+0419 "Й" */
    0x63, 0x31, 0x8f, 0x83, 0x80, 0x6, 0x1f, 0x1f,
    0x8f, 0xc7, 0xe6, 0xf3, 0x79, 0xbd, 0x9e, 0xcf,
    0x67, 0xe3, 0xf1, 0xf8, 0xf8, 0x60,

    /* U+041A "К" */
    0xc1, 0xe1, 0xf0, 0xd8, 0xec, 0x66, 0x73, 0xf1,
    0xf8, 0xce, 0x63, 0x31, 0xd8, 0x6c, 0x3e, 0xc,

    /* U+041B "Л" */
    0x3f, 0xcf, 0xf3, 0xc, 0xc3, 0x30, 0xcc, 0x33,
    0xc, 0xc3, 0x30, 0xcc, 0x33, 0xd, 0xc3, 0xe0,
    0xf0, 0x30,

    /* U+041C "М" */
    0xe3, 0xf1, 0xfd, 0xfe, 0xbd, 0x5e, 0xaf, 0x77,
    0x93, 0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xc,

    /* U+041D "Н" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0xff,
    0xff, 0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xc,

    /* U+041E "О" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+041F "П" */
    0xff, 0xff, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3,
    0xc3, 0xc3, 0xc3, 0xc3, 0xc3, 0xc3,

    /* U+0420 "Р" */
    0xfe, 0x7f, 0xb0, 0xf8, 0x3c, 0x1e, 0x1f, 0xfd,
    0xfc, 0xc0, 0x60, 0x30, 0x18, 0xc, 0x6, 0x0,

    /* U+0421 "С" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x6, 0x3, 0x1,
    0x80, 0xc0, 0x60, 0x30, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0422 "Т" */
    0xff, 0xff, 0xf0, 0xc0, 0x30, 0xc, 0x3, 0x0,
    0xc0, 0x30, 0xc, 0x3, 0x0, 0xc0, 0x30, 0xc,
    0x3, 0x0,

    /* U+0423 "У" */
    0xc0, 0xf8, 0x76, 0x19, 0x86, 0x33, 0xc, 0xc1,
    0xb0, 0x78, 0x1e, 0x3, 0x80, 0xc0, 0x30, 0x18,
    0x6, 0x0,

    /* U+0424 "Ф" */
    0xc, 0xf, 0xc7, 0xfb, 0xb7, 0xcc, 0xf3, 0x3c,
    0xcf, 0x33, 0xcc, 0xf3, 0x3c, 0xcf, 0xb7, 0x7f,
    0x8f, 0xc0, 0xc0, 0x30,

    /* U+0425 "Х" */
    0xe1, 0xd8, 0x67, 0x38, 0xcc, 0x3f, 0x7, 0x80,
    0xc0, 0x78, 0x1e, 0xf, 0xc3, 0x31, 0x86, 0x61,
    0xb0, 0x30,

    /* U+0426 "Ц" */
    0xc3, 0x30, 0xcc, 0x33, 0xc, 0xc3, 0x30, 0xcc,
    0x33, 0xc, 0xc3, 0x30, 0xcc, 0x33, 0xc, 0xff,
    0xff, 0xf0, 0xc, 0x3,

    /* U+0427 "Ч" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0x86,
    0xff, 0x3f, 0x80, 0xc0, 0x60, 0x30, 0x18, 0xc,

    /* U+0428 "Ш" */
    0xcc, 0xf3, 0x3c, 0xcf, 0x33, 0xcc, 0xf3, 0x3c,
    0xcf, 0x33, 0xcc, 0xf3, 0x3c, 0xcf, 0x33, 0xff,
    0xff, 0xf0,

    /* U+0429 "Щ" */
    0xcc, 0xd9, 0x9b, 0x33, 0x66, 0x6c, 0xcd, 0x99,
    0xb3, 0x36, 0x66, 0xcc, 0xd9, 0x9b, 0x33, 0x66,
    0x6f, 0xff, 0xff, 0xc0, 0x18, 0x3,

    /* U+042A "Ъ" */
    0xf8, 0x1f, 0x0, 0x60, 0xc, 0x1, 0x80, 0x3f,
    0x7, 0xf0, 0xc7, 0x18, 0x63, 0xc, 0x61, 0x8c,
    0x71, 0xfc, 0x3f, 0x0,

    /* U+042B "Ы" */
    0xc0, 0xf0, 0x3c, 0xf, 0x3, 0xc0, 0xfe, 0x3f,
    0xcf, 0x3b, 0xc6, 0xf1, 0xbc, 0x6f, 0x3b, 0xfc,
    0xfe, 0x30,

    /* U+042C "Ь" */
    0xc0, 0x60, 0x30, 0x18, 0xc, 0x7, 0xf3, 0xfd,
    0x87, 0xc1, 0xe0, 0xf0, 0x78, 0x7f, 0xf7, 0xf0,

    /* U+042D "Э" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x30, 0x19, 0xfc, 0xfe,
    0x3, 0x1, 0x80, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+042E "Ю" */
    0xc7, 0xb3, 0xfc, 0xcf, 0x33, 0xcc, 0xff, 0x3f,
    0xcf, 0x33, 0xcc, 0xf3, 0x3c, 0xcf, 0x33, 0xcf,
    0xf1, 0xe0,

    /* U+042F "Я" */
    0x3f, 0xbf, 0xf8, 0x78, 0x3c, 0x1f, 0xd, 0xfe,
    0x7f, 0x39, 0x98, 0xdc, 0x6c, 0x3e, 0x1e, 0xc,

    /* U+0430 "а" */
    0x3e, 0x3f, 0x98, 0x60, 0x33, 0xfb, 0xff, 0x7,
    0x83, 0xe3, 0xbf, 0xcf, 0x60,

    /* U+0431 "б" */
    0x3f, 0x3f, 0xb8, 0x18, 0xd, 0xe7, 0xfb, 0x8f,
    0x83, 0xc1, 0xe0, 0xf0, 0x7c, 0x77, 0xf1, 0xf0,

    /* U+0432 "в" */
    0xff, 0x7f, 0xf0, 0x78, 0x3f, 0xf7, 0xfb, 0x7,
    0x83, 0xc1, 0xff, 0xbf, 0x80,

    /* U+0433 "г" */
    0xff, 0xff, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0, 0xc0,
    0xc0, 0xc0, 0xc0,

    /* U+0434 "д" */
    0x3f, 0x87, 0xf0, 0xc6, 0x18, 0xc3, 0x18, 0x63,
    0xc, 0x61, 0x8c, 0x61, 0x9f, 0xff, 0xff, 0xe0,
    0x3c, 0x6,

    /* U+0435 "е" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3f, 0xff, 0xff, 0x1,
    0x80, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0436 "ж" */
    0xc6, 0x36, 0x66, 0x66, 0x63, 0x6c, 0x3f, 0xc3,
    0xfc, 0x36, 0xc6, 0x66, 0x66, 0x66, 0x66, 0xc6,
    0x30,

    /* U+0437 "з" */
    0x3f, 0x7f, 0xf0, 0x60, 0x31, 0xe0, 0xf8, 0x6,
    0x3, 0xc1, 0xbf, 0x8f, 0x80,

    /* U+0438 "и" */
    0xc3, 0xe1, 0xf1, 0xf8, 0xfc, 0xde, 0x6f, 0x67,
    0xb3, 0xf1, 0xf8, 0xf8, 0x60,

    /* U+0439 "й" */
    0x63, 0x31, 0x8f, 0x83, 0x80, 0x6, 0x1f, 0x1f,
    0x8f, 0xcf, 0xe6, 0xf7, 0x7b, 0x3d, 0x9f, 0x8f,
    0xc7, 0xc3,

    /* U+043A "к" */
    0xc3, 0xe1, 0xb1, 0x99, 0xcf, 0xc7, 0xe3, 0x39,
    0x8c, 0xc7, 0x61, 0xb0, 0x60,

    /* U+043B "л" */
    0x3f, 0xcf, 0xf3, 0xc, 0xc3, 0x30, 0xcc, 0x33,
    0xc, 0xc3, 0x70, 0xf8, 0x3c, 0xc,

    /* U+043C "м" */
    0xe3, 0xf1, 0xfd, 0xfe, 0xbd, 0x5e, 0xef, 0x67,
    0x83, 0xc1, 0xe0, 0xf0, 0x60,

    /* U+043D "н" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3f, 0xff, 0xff, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x60,

    /* U+043E "о" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+043F "п" */
    0xff, 0xff, 0xf0, 0x78, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xc1, 0xe0, 0xf0, 0x60,

    /* U+0440 "р" */
    0xde, 0x7f, 0xb8, 0xf8, 0x3c, 0x1e, 0xf, 0x7,
    0x83, 0xe3, 0xff, 0xb7, 0x98, 0xc, 0x6, 0x3,
    0x0,

    /* U+0441 "с" */
    0x3e, 0x3f, 0xb8, 0xf8, 0x3c, 0x6, 0x3, 0x1,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+0442 "т" */
    0xff, 0xff, 0xf0, 0xc0, 0x30, 0xc, 0x3, 0x0,
    0xc0, 0x30, 0xc, 0x3, 0x0, 0xc0,

    /* U+0443 "у" */
    0xc0, 0xf8, 0x76, 0x19, 0x86, 0x33, 0xc, 0xc3,
    0xb0, 0x78, 0x1e, 0x3, 0x80, 0xc0, 0x30, 0x1c,
    0x6, 0x1, 0x80,

    /* U+0444 "ф" */
    0xc, 0x3, 0x0, 0xc0, 0xfc, 0x7f, 0xbb, 0x7c,
    0xcf, 0x33, 0xcc, 0xf3, 0x3c, 0xcf, 0xb7, 0x7f,
    0x8f, 0xc0, 0xc0, 0x30, 0xc, 0x3, 0x0,

    /* U+0445 "х" */
    0xe1, 0xdc, 0xe3, 0x30, 0xfc, 0x1e, 0x3, 0x1,
    0xe0, 0xfc, 0x33, 0x18, 0x6e, 0x1c,

    /* U+0446 "ц" */
    0xc3, 0x30, 0xcc, 0x33, 0xc, 0xc3, 0x30, 0xcc,
    0x33, 0xc, 0xc3, 0x3f, 0xff, 0xfc, 0x3, 0x0,
    0xc0,

    /* U+0447 "ч" */
    0xc1, 0xe0, 0xf0, 0x78, 0x3c, 0x1f, 0xfc, 0xfe,
    0x3, 0x1, 0x80, 0xc0, 0x60,

    /* U+0448 "ш" */
    0xcc, 0xf3, 0x3c, 0xcf, 0x33, 0xcc, 0xf3, 0x3c,
    0xcf, 0x33, 0xcc, 0xff, 0xff, 0xfc,

    /* U+0449 "щ" */
    0xcc, 0xd9, 0x9b, 0x33, 0x66, 0x6c, 0xcd, 0x99,
    0xb3, 0x36, 0x66, 0xcc, 0xdf, 0xff, 0xff, 0x80,
    0x30, 0x6,

    /* U+044A "ъ" */
    0xf8, 0x1f, 0x0, 0x60, 0xc, 0x1, 0xf8, 0x3f,
    0x86, 0x18, 0xc3, 0x18, 0x63, 0xf8, 0x7e, 0x0,

    /* U+044B "ы" */
    0xc0, 0xf0, 0x3c, 0xf, 0x3, 0xf8, 0xff, 0x3c,
    0x6f, 0x1b, 0xc6, 0xff, 0x3f, 0x8c,

    /* U+044C "ь" */
    0xc0, 0x60, 0x30, 0x18, 0xf, 0xe7, 0xfb, 0x7,
    0x83, 0xc1, 0xff, 0xbf, 0x80,

    /* U+044D "э" */
    0x3e, 0x3f, 0xb8, 0xe0, 0x31, 0xf8, 0xfc, 0x7,
    0x83, 0xe3, 0xbf, 0x8f, 0x80,

    /* U+044E "ю" */
    0xc7, 0xb3, 0xfc, 0xcf, 0x33, 0xfc, 0xff, 0x3c,
    0xcf, 0x33, 0xcc, 0xf3, 0xfc, 0x78,

    /* U+044F "я" */
    0x3f, 0xbf, 0xf8, 0x78, 0x3e, 0x1b, 0xfc, 0xfe,
    0x63, 0x71, 0xb0, 0xf0, 0x60,

    /* U+0451 "ё" */
    0x73, 0x39, 0x80, 0x0, 0x3, 0xe3, 0xfb, 0x8f,
    0x83, 0xff, 0xff, 0xf0, 0x18, 0xe, 0x3b, 0xf8,
    0xf8
};


/*---------------------
 *  GLYPH DESCRIPTION
 *--------------------*/

static const lv_font_fmt_txt_glyph_dsc_t glyph_dsc[] = {
    {.bitmap_index = 0, .adv_w = 0, .box_w = 0, .box_h = 0, .ofs_x = 0, .ofs_y = 0} /* id = 0 reserved */,
    {.bitmap_index = 0, .adv_w = 192, .box_w = 1, .box_h = 1, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1, .adv_w = 192, .box_w = 3, .box_h = 14, .ofs_x = 4, .ofs_y = 0},
    {.bitmap_index = 7, .adv_w = 192, .box_w = 7, .box_h = 6, .ofs_x = 3, .ofs_y = 8},
    {.bitmap_index = 13, .adv_w = 192, .box_w = 11, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 33, .adv_w = 192, .box_w = 9, .box_h = 20, .ofs_x = 1, .ofs_y = -3},
    {.bitmap_index = 56, .adv_w = 192, .box_w = 12, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 77, .adv_w = 192, .box_w = 12, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 98, .adv_w = 192, .box_w = 2, .box_h = 6, .ofs_x = 5, .ofs_y = 8},
    {.bitmap_index = 100, .adv_w = 192, .box_w = 6, .box_h = 19, .ofs_x = 4, .ofs_y = -2},
    {.bitmap_index = 115, .adv_w = 192, .box_w = 6, .box_h = 19, .ofs_x = 2, .ofs_y = -2},
    {.bitmap_index = 130, .adv_w = 192, .box_w = 10, .box_h = 10, .ofs_x = 1, .ofs_y = 2},
    {.bitmap_index = 143, .adv_w = 192, .box_w = 10, .box_h = 9, .ofs_x = 1, .ofs_y = 2},
    {.bitmap_index = 155, .adv_w = 192, .box_w = 4, .box_h = 6, .ofs_x = 4, .ofs_y = -4},
    {.bitmap_index = 158, .adv_w = 192, .box_w = 6, .box_h = 2, .ofs_x = 3, .ofs_y = 6},
    {.bitmap_index = 160, .adv_w = 192, .box_w = 4, .box_h = 3, .ofs_x = 4, .ofs_y = 0},
    {.bitmap_index = 162, .adv_w = 192, .box_w = 10, .box_h = 19, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 186, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 202, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 218, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 234, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 250, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 266, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 282, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 300, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 318, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 336, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 354, .adv_w = 192, .box_w = 4, .box_h = 11, .ofs_x = 4, .ofs_y = 0},
    {.bitmap_index = 360, .adv_w = 192, .box_w = 4, .box_h = 15, .ofs_x = 4, .ofs_y = -4},
    {.bitmap_index = 368, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 1},
    {.bitmap_index = 381, .adv_w = 192, .box_w = 9, .box_h = 7, .ofs_x = 2, .ofs_y = 3},
    {.bitmap_index = 389, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 1},
    {.bitmap_index = 402, .adv_w = 192, .box_w = 7, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 415, .adv_w = 192, .box_w = 11, .box_h = 18, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 440, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 458, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 474, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 490, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 506, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 522, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 538, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 554, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 570, .adv_w = 192, .box_w = 8, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 584, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 600, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 616, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 3, .ofs_y = 0},
    {.bitmap_index = 632, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 648, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 664, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 680, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 696, .adv_w = 192, .box_w = 9, .box_h = 18, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 717, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 733, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 749, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 767, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 783, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 801, .adv_w = 192, .box_w = 11, .box_h = 14, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 821, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 839, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 857, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 873, .adv_w = 192, .box_w = 6, .box_h = 18, .ofs_x = 4, .ofs_y = -2},
    {.bitmap_index = 887, .adv_w = 192, .box_w = 10, .box_h = 19, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 911, .adv_w = 192, .box_w = 5, .box_h = 18, .ofs_x = 3, .ofs_y = -2},
    {.bitmap_index = 923, .adv_w = 192, .box_w = 10, .box_h = 8, .ofs_x = 1, .ofs_y = 7},
    {.bitmap_index = 933, .adv_w = 192, .box_w = 10, .box_h = 2, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 936, .adv_w = 192, .box_w = 5, .box_h = 3, .ofs_x = 3, .ofs_y = 13},
    {.bitmap_index = 938, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 951, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 967, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 980, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 996, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1009, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1027, .adv_w = 192, .box_w = 9, .box_h = 15, .ofs_x = 2, .ofs_y = -4},
    {.bitmap_index = 1044, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1060, .adv_w = 192, .box_w = 10, .box_h = 15, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1079, .adv_w = 192, .box_w = 8, .box_h = 19, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 1098, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1114, .adv_w = 192, .box_w = 11, .box_h = 14, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1134, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1148, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1161, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1174, .adv_w = 192, .box_w = 9, .box_h = 15, .ofs_x = 2, .ofs_y = -4},
    {.bitmap_index = 1191, .adv_w = 192, .box_w = 9, .box_h = 15, .ofs_x = 2, .ofs_y = -4},
    {.bitmap_index = 1208, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1221, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1234, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1252, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1265, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1279, .adv_w = 192, .box_w = 11, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1295, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1309, .adv_w = 192, .box_w = 10, .box_h = 15, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 1328, .adv_w = 192, .box_w = 8, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1339, .adv_w = 192, .box_w = 9, .box_h = 18, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 1360, .adv_w = 192, .box_w = 2, .box_h = 18, .ofs_x = 5, .ofs_y = -2},
    {.bitmap_index = 1365, .adv_w = 192, .box_w = 9, .box_h = 18, .ofs_x = 2, .ofs_y = -2},
    {.bitmap_index = 1386, .adv_w = 192, .box_w = 10, .box_h = 4, .ofs_x = 1, .ofs_y = 5},
    {.bitmap_index = 1391, .adv_w = 192, .box_w = 9, .box_h = 18, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1412, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1430, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1446, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1462, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 3, .ofs_y = 0},
    {.bitmap_index = 1478, .adv_w = 192, .box_w = 11, .box_h = 16, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 1500, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1516, .adv_w = 192, .box_w = 12, .box_h = 14, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1537, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1555, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1571, .adv_w = 192, .box_w = 9, .box_h = 19, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1593, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1609, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1627, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1643, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1659, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1675, .adv_w = 192, .box_w = 8, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1689, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1705, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1721, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1739, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1757, .adv_w = 192, .box_w = 10, .box_h = 16, .ofs_x = 1, .ofs_y = -1},
    {.bitmap_index = 1777, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1795, .adv_w = 192, .box_w = 10, .box_h = 16, .ofs_x = 2, .ofs_y = -2},
    {.bitmap_index = 1815, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1831, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1849, .adv_w = 192, .box_w = 11, .box_h = 16, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 1871, .adv_w = 192, .box_w = 11, .box_h = 14, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 1891, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1909, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 1925, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1941, .adv_w = 192, .box_w = 10, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1959, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1975, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 1988, .adv_w = 192, .box_w = 9, .box_h = 14, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2004, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2017, .adv_w = 192, .box_w = 8, .box_h = 11, .ofs_x = 3, .ofs_y = 0},
    {.bitmap_index = 2028, .adv_w = 192, .box_w = 11, .box_h = 13, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 2046, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2059, .adv_w = 192, .box_w = 12, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2076, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2089, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2102, .adv_w = 192, .box_w = 9, .box_h = 16, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2120, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2133, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2147, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2160, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2173, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2186, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2199, .adv_w = 192, .box_w = 9, .box_h = 15, .ofs_x = 2, .ofs_y = -4},
    {.bitmap_index = 2216, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2229, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2243, .adv_w = 192, .box_w = 10, .box_h = 15, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 2262, .adv_w = 192, .box_w = 10, .box_h = 18, .ofs_x = 1, .ofs_y = -4},
    {.bitmap_index = 2285, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2299, .adv_w = 192, .box_w = 10, .box_h = 13, .ofs_x = 2, .ofs_y = -2},
    {.bitmap_index = 2316, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2329, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2343, .adv_w = 192, .box_w = 11, .box_h = 13, .ofs_x = 1, .ofs_y = -2},
    {.bitmap_index = 2361, .adv_w = 192, .box_w = 11, .box_h = 11, .ofs_x = 0, .ofs_y = 0},
    {.bitmap_index = 2377, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2391, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 2, .ofs_y = 0},
    {.bitmap_index = 2404, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2417, .adv_w = 192, .box_w = 10, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2431, .adv_w = 192, .box_w = 9, .box_h = 11, .ofs_x = 1, .ofs_y = 0},
    {.bitmap_index = 2444, .adv_w = 192, .box_w = 9, .box_h = 15, .ofs_x = 2, .ofs_y = 0}
};

/*---------------------
 *  CHARACTER MAPPING
 *--------------------*/



/*Collect the unicode lists and glyph_id offsets*/
static const lv_font_fmt_txt_cmap_t cmaps[] =
{
    {
        .range_start = 32, .range_length = 95, .glyph_id_start = 1,
        .unicode_list = NULL, .glyph_id_ofs_list = NULL, .list_length = 0, .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY
    },
    {
        .range_start = 1025, .range_length = 1, .glyph_id_start = 96,
        .unicode_list = NULL, .glyph_id_ofs_list = NULL, .list_length = 0, .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY
    },
    {
        .range_start = 1040, .range_length = 64, .glyph_id_start = 97,
        .unicode_list = NULL, .glyph_id_ofs_list = NULL, .list_length = 0, .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY
    },
    {
        .range_start = 1105, .range_length = 1, .glyph_id_start = 161,
        .unicode_list = NULL, .glyph_id_ofs_list = NULL, .list_length = 0, .type = LV_FONT_FMT_TXT_CMAP_FORMAT0_TINY
    }
};



/*--------------------
 *  ALL CUSTOM DATA
 *--------------------*/

#if LVGL_VERSION_MAJOR == 8
/*Store all the custom data of the font*/
static  lv_font_fmt_txt_glyph_cache_t cache;
#endif

#if LVGL_VERSION_MAJOR >= 8
static const lv_font_fmt_txt_dsc_t font_dsc = {
#else
static lv_font_fmt_txt_dsc_t font_dsc = {
#endif
    .glyph_bitmap = glyph_bitmap,
    .glyph_dsc = glyph_dsc,
    .cmaps = cmaps,
    .kern_dsc = NULL,
    .kern_scale = 0,
    .cmap_num = 4,
    .bpp = 1,
    .kern_classes = 0,
    .bitmap_format = 0,
#if LVGL_VERSION_MAJOR == 8
    .cache = &cache
#endif
};



/*-----------------
 *  PUBLIC FONT
 *----------------*/

/*Initialize a public general font descriptor*/
#if LVGL_VERSION_MAJOR >= 8
const lv_font_t JetBrainsMonoNL_SemiBold_20 = {
#else
lv_font_t JetBrainsMonoNL_SemiBold_20 = {
#endif
    .get_glyph_dsc = lv_font_get_glyph_dsc_fmt_txt,    /*Function pointer to get glyph's data*/
    .get_glyph_bitmap = lv_font_get_bitmap_fmt_txt,    /*Function pointer to get glyph's bitmap*/
    .line_height = 23,          /*The maximum line height required by the font*/
    .base_line = 4,             /*Baseline measured from the bottom of the line*/
#if !(LVGL_VERSION_MAJOR == 6 && LVGL_VERSION_MINOR == 0)
    .subpx = LV_FONT_SUBPX_NONE,
#endif
#if LV_VERSION_CHECK(7, 4, 0) || LVGL_VERSION_MAJOR >= 8
    .underline_position = -3,
    .underline_thickness = 1,
#endif
    .dsc = &font_dsc,          /*The custom font data. Will be accessed by `get_glyph_bitmap/dsc` */
#if LV_VERSION_CHECK(8, 2, 0) || LVGL_VERSION_MAJOR >= 9
    .fallback = NULL,
#endif
    .user_data = NULL,
};
